Bug 3520 - Request::redirectURL ignores anchors if used
Request::redirectURL ignores anchors if used
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: User Interface
2.1.2
PC Windows XP
: P1 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 18:37 PDT by Siavash Miri
Modified: 2009-02-13 10:08 PST (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS pre-2.1.2 CVS (465 bytes, patch)
2009-02-12 15:39 PST, Matthew Crider
Details | Diff
Patch against OJS pre-2.2.3 CVS (466 bytes, patch)
2009-02-12 15:40 PST, Matthew Crider
Details | Diff
Patch against PKP WAL CVS (467 bytes, patch)
2009-02-12 15:40 PST, Matthew Crider
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Siavash Miri 2008-05-22 18:37:22 PDT
In IE6 and IE7, the Request::redirectURL function doesn't work properly if an anchor is used. It will just ignore the anchor in this case.

This issue was found by a forum user and he has included his work-around for it:
http://pkp.sfu.ca/support/forum/viewtopic.php?f=3&t=3104
Comment 1 Matthew Crider 2009-02-12 15:39:46 PST
Created attachment 1440 [details]
Patch against OCS pre-2.1.2 CVS

The proposed solution worked for me in IE6 and newer browsers.
Comment 2 Matthew Crider 2009-02-12 15:40:03 PST
Created attachment 1441 [details]
Patch against OJS pre-2.2.3 CVS
Comment 3 Matthew Crider 2009-02-12 15:40:42 PST
Created attachment 1442 [details]
Patch against PKP WAL CVS
Comment 4 Alec Smecher 2009-02-12 18:52:42 PST
OK, go ahead.
Comment 5 Matthew Crider 2009-02-13 10:08:40 PST
Fixed.